Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • List
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Version
  1. API reference
  2. REST
  3. Versions
  4. List

Managed Service for MongoDB API, REST: Versions.List

Written by
Yandex Cloud
Updated at June 15, 2026
  • HTTP request
  • Query parameters
  • Response
  • Version

Returns list of available MongoDB versions.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/versions

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page that should be returned. If the number of available
results is larger than page_size, the service returns a next_page_token that can be used
to get the next page of results in subsequent ListVersions requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. Set page_token to the next_page_token returned by a previous ListVersions
request to get the next page of results.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "version": [
    {
      "id": "string",
      "name": "string",
      "status": "string",
      "updatableTo": [
        "string"
      ],
      "deprecatedAt": "string",
      "eolAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

version[]

Version

Requested list of available versions.

nextPageToken

string

This token allows you to get the next page of results for ListVersions requests,
if the number of results is larger than page_size specified in the request.
To get the next page, specify the value of next_page_token as a value for
the page_token parameter in the next ListVersions request. Subsequent ListVersions
requests will have their own next_page_token to continue paging through the results.

VersionVersion

Common message for describing a Managed Database version.

Field

Description

id

string

Version ID

name

string

Version name

status

enum (Status)

Version status

  • NEW: Newly released version. New clusters can be created.
    Support may not yet be available in full scope.
  • ACTUAL: Newly released version. New clusters can be created.
  • SUPPORTED: Fully supported version.
  • DEPRECATED: Version approaching end of support. New cluster creation is not allowed.
    Existing clusters continue to operate. Restore from backups is available.
  • LEGACY: Deprecated version billed at an increased rate.
    New cluster creation and restore from backups are not allowed.
    Existing clusters continue to operate; automatic upgrade may be scheduled.
  • EOL: End-of-life version. Clusters are forcibly upgraded to a supported version or shut down.

updatableTo[]

string

List of version IDs that the current version can be updated to

deprecatedAt

string (date-time)

Optional. Date when the version enters an appropriate status (day precision)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

eolAt

string (date-time)

Optional. Date when the version reaches an appropriate status (day precision)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Overview
Next
Monitoring metrics
© 2026 Direct Cursus Technology L.L.C.